PAPI_read_ts(3)

NAME
PAPI_read_ts -

Read hardware counters with a timestamp.

SYNOPSIS

Detailed Description

C Interface:
    #include <papi.h>
     int PAPI_read_ts(int EventSet, long long *values, long long *cycles );

PAPI_read_ts() copies the counters of the indicated event set into the provided array. It also places a real-time cycle timestamp into the cycles array.

The counters continue counting after the read.

PAPI_read_ts() assumes an initialized PAPI library and a properly added event set.

Parameters:
    EventSet -- an integer handle for a PAPI Event Set as created by PAPI_create_eventset()
    *values -- an array to hold the counter values of the counting events
    *cycles -- an array to hold the timestamp values

Return values:
    PAPI_EINVAL One or more of the arguments is invalid.
    PAPI_ESYS A system or C library call failed inside PAPI, see the errno variable.
    PAPI_ENOEVST The event set specified does not exist.

Examples

    *

See Also:
    PAPI_read

    PAPI_accum

    PAPI_start

    PAPI_stop

    PAPI_reset

Author

Generated automatically by Doxygen for PAPI from the source code.